/* anrufe_an.c : anrufe_annehmen() - gettyfunktion */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

#include <portab.h>

#include "prototyp.h"
#include "msg.h"

#include "box_conf.h"

/*
	14.10.92 Frank, optimiert

	### auf time_t umstellen
*/
BOOLEAN anrufe_annehmen(void)
{
	static LONG t1L;
	static LONG t2L;
	LONG aktL;

	if (!t1L)  t1L = sek_time(box_conf.online_from);
	if (!t2L)  t2L = sek_time(box_conf.online_to);
	aktL = sek_time(hh_mm_ss());
	return (t1L < t2L) ? (aktL >= t1L) & (aktL <= t2L) : (aktL >= t1L) | (aktL <= t2L);
}

