/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

/*
 * befehle/acl.c: Austesten von Zugriffskontrollisten.
 *
 * ACL == Access Control List, != Mitgliederlisten!
 *
 * Eine gute Seele knnte da auch mal eine Editorfunktion einbauen.
 */

#include "tomsysdep.h"

#include <portab.h>
#include <string.h>

#include "prototyp.h"
#include "befehle.h"
#include "user.h"
#include "modem.h"
#include "box_conf.h"

BOOLEAN bef_acl(const char *para)
{
	char uname[60]="";
	while (TRUE)
	{
		char type[2];
		USERNR unr;
		UWORD lv;
		USER u;
		const char *errorp;

		if (!mbfrage(sizeof(uname)-1,MBF_LINE," Benutzer: ", uname)) {
			return FALSE;
		}
		if (!*uname)
			return TRUE;
		if (!ub_find_username(&unr,uname)
			|| !ub_read_user(unr,&u,FALSE))
		{
			mboutput(" unbekannter Benutzer, als Level 0 behandeln\r\n");
			lv=0;
		}
		else
			lv=u.level;
		if (!mbfrage(1,MBF_LINE," Typ: ", type)) {
			return FALSE;
		}
		if (!*type)
			continue;
		if (!acl_check(para && *para ? para : tprintf("%stest.acl",
													  box_conf.config_dir),
			uname, lv,*type,&errorp))
		{
			mbprintf(" Fehler: %s\r\n\n",errorp);
		}
		else
			mboutput(" OK.\r\n\n");
	}
}
