proc progteilsuchmenuhelp { off lang} {
	global SCHNELLOGOUT TRENNSTRICHE
	set auswahl ""
	global pt_sw_1
	global pt_sw_2

	lappend liste "------ Erstes Suchwort -----"
	if [string compare $pt_sw_1("text") ""] {
		set s [format " (%s)" $pt_sw_1("text")]
	} else {
		set s ""
	}
	if {$pt_sw_1("modus") == 0} {
		set t "einfach"
	} elseif {$pt_sw_1("modus") == 1} {
		set t "Wildcard"
	} else {
		set t "regulrer Ausdruck"
	}
	if {$pt_sw_1("inupl") == 0} {
		set u "nein"
	} else {
		set u "ja"
	}
	append_entry auswahl liste "(E)ingeben $s"
	append_entry auswahl liste "(M)odus: $t"
	append_entry auswahl liste "(A)uch im Uploadtext suchen: $u"
	lappend liste "------ Zweites Suchwort -----"
	if [string compare $pt_sw_2("text") ""] {
		set s [format " (%s)" $pt_sw_2("text")]
	} else {
		set s ""
	}
	if {$pt_sw_2("modus") == 0} {
		set t "einfach"
	} elseif {$pt_sw_2("modus") == 1} {
		set t "Wildcard"
	} else {
		set t "regulrer Ausdruck"
	}
	if {$pt_sw_2("inupl") == 0} {
		set u "nein"
	} else {
		set u "ja"
	}
	append_entry auswahl liste "E(I)ngeben $s"
	append_entry auswahl liste "M(O)dus: $t"
	append_entry auswahl liste "Au(C)h im Uploadtext suchen: $u"
	lappend liste "-----------------------------"
	append_entry auswahl liste "(Z)urck"
	append_entry auswahl liste "(^) Programmteil verlassen"
	if {$SCHNELLOGOUT} {
		append_entry auswahl liste "(!) Schnell ausloggen"
	}
	if {$lang} {
		do_help $off $liste
		return "${auswahl}"
	}
	kurz_menue_hilfe "$auswahl"
	return "${auswahl}?"
}

proc progteilsuchmenu { } {
	global quickout
	global pt_sw_1
	global pt_sw_2
	global logout_modus

	while (1) {
		if {$quickout} {return}
		set wahl [work_menu "Suchbegriffe konfigurieren" progteilsuchmenuhelp]
		if {$logout_modus} { return }

		if { "$wahl" == "Z" } {
			return
		} elseif { "$wahl" == "!" } {
			tom_befehl LOGOUT
		} elseif { "$wahl" == "^"} {
			set quickout 1
			return
		} elseif { "$wahl" == "E"} {
			# append_entry auswahl liste "(E)ingeben"
			tom_puts ""
			tom_puts "Erstes Suchwort:"
			set pt_sw_1("text") [tom_gets]
		} elseif { "$wahl" == "M"} {
			# Modus
			tom_puts ""
			tom_puts "Suchart fr erstes Suchwort:"
			tom_puts "  (E)infache Suche"
			tom_puts "  (W)ildcardsuche"
			tom_puts "  (R)egulrer Ausdruck"
			set c ""
			set allowed "EWR"
			while {-1 == [string first $c $allowed]} {
				set c [string toupper [tom_getchar]]
			}
			tom_puts ""
			if {"$c" == "E"} { set pt_sw_1("modus") 0 }
			if {"$c" == "W"} { set pt_sw_1("modus") 1 }
			if {"$c" == "R"} { set pt_sw_1("modus") 2 }
		} elseif { "$wahl" == "A"} {
			# Auch im Uploadtext?
			tom_puts ""
			tom_puts "Erstes Suchwort auch im Uploadtext suchen?"
			tom_puts "  (J)a"
			tom_puts "  (N)ei"
			set c ""
			set allowed "JN"
			while {-1 == [string first $c $allowed]} {
				set c [string toupper [tom_getchar]]
			}
			tom_puts ""
			if {"$c" == "J"} { set pt_sw_1("inupl") 1 }
			if {"$c" == "N"} { set pt_sw_1("inupl") 0 }
		} elseif { "$wahl" == "I"} {
			tom_puts ""
			tom_puts "Zweites Suchwort:"
			set pt_sw_2("text") [tom_gets]
		} elseif { "$wahl" == "O"} {
			# Modus
			tom_puts ""
			tom_puts "Suchart fr zweites Suchwort:"
			tom_puts "  (E)infache Suche"
			tom_puts "  (W)ildcardsuche"
			tom_puts "  (R)egulrer Ausdruck"
			set c ""
			set allowed "EWR"
			while {-1 == [string first $c $allowed]} {
				set c [string toupper [tom_getchar]]
			}
			tom_puts ""
			if {"$c" == "E"} { set pt_sw_2("modus") 0 }
			if {"$c" == "W"} { set pt_sw_2("modus") 1 }
			if {"$c" == "R"} { set pt_sw_2("modus") 2 }
		} elseif { "$wahl" == "C"} {
			# Auch im Uploadtext?
			tom_puts ""
			tom_puts "Zweites Suchwort auch im Uploadtext suchen?"
			tom_puts "  (J)a"
			tom_puts "  (N)ein"
			set c ""
			set allowed "JN"
			while {-1 == [string first $c $allowed]} {
				set c [string toupper [tom_getchar]]
			}
			tom_puts ""
			if {"$c" == "J"} { set pt_sw_2("inupl") 1 }
			if {"$c" == "N"} { set pt_sw_2("inupl") 0 }
		}
	}
}

