#
# Den Wartebildschirm der Box fllen.
#
#
proc do_screen_config { } {
	global sc_config_done sc_attr_problem sc_attr_off sc_watch sc_attr_watch
	global path env
	set sc_config_done 1

	# wo finden wir die Logfiles?
	set path [tom_getvar "%pl"]

	# Terminalattribute einstellen.
	# Unglcklicherweise steht hier tom_vt nicht zur Verfgung (kein User
	# eingeloggt, kein Terminal eingestellt).
	#
	# rot
	set sc_attr_problem "\033\[31m"
	# fett
	set sc_attr_watch "\033\[1m"
	# alle Attribute aus.
	set sc_attr_off "\033\[0m"

	# Wenn diese Strings in einer Zeile vorkommen, werden sie mit 
	# sc_attr_watch dargestellt.
	# kann auskommentiert werden, wenn nicht erwnscht.
	set sc_watch {{Uwe Ohse} {Arnd Graefe}}

}
proc do_screen { } {
	global sc_attr_problem sc_attr_off sc_watch sc_attr_watch
	global env
	global path
	# Aktuelle Zeit im time_t-Format (Sekunden seit 1970) holen.
	set now [tom_time]
	# Und das Tagesformat der Protokollfiles holen.
	set today [tom_strftime "%y_%m_%d" $now]
	set yesterday [tom_strftime "%y_%m_%d" [expr $now - 86400]]

	#
	# Notwendig, aus irgendeinem Grund steht der Cursor nicht am Anfang der
	# Zeile
	#
	puts -nonewline stdout "\r"

	set sc_lines [expr $env(LINES) - 9]
	#
	# Fr komprimierte Logfiles knnte man zcat verwenden.
	#
	catch {exec sh -c "cat $path${yesterday}.log $path${today}.log 2>/dev/null | tail -$sc_lines "} dummy
	#puts stdout "          1         2         3         4         5         6         7        "
	#puts stdout "01234567890123456789012345678901234567890123456789012345678901234567890123456789"
	set l [ split $dummy "\n"]
	set all ""
	foreach v $l {
		# Leerzeichen am Ende weg.
		regsub -all " *$" $v "" dummy
		set nummer [string range $dummy 0 6]
		set dollar [string range $dummy 7 7]
		set name [string range $dummy 8 35]
		if [string compare "" [string range $dummy 70 73]] {
			set all "$all$sc_attr_problem$dummy$sc_attr_off\n"
		} else  {
			if {[string compare "c" [string range $dummy 64 64]] == 0} {
				set dummy "[string range $dummy 0 63]${sc_attr_problem}c$sc_attr_off"
			}
			if {[string compare "t" [string range $dummy 63 63]] == 0} {
				set dummy "[string range $dummy 0 62]${sc_attr_problem}t$sc_attr_off"
			}
			if [info exists sc_watch] {
				foreach t $sc_watch {
					if [string match "*$t*" $dummy] {
						regsub -all "$t" $dummy "$sc_attr_watch$t$sc_attr_off" dummy
					}
				}
			}
			set all "$all$dummy\n"
		}
	}
	puts -nonewline $all
}
if ![info exists sc_config_done] { do_screen_config}
do_screen
