/* check_syntax.c: check brett name syntax.
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
*/
#include <portab.h>
#include <stdio.h>
#include <ctype.h>

#include "config.h"
#include "libquark.h"

#include "brett_db.h"

/*
BB_FUNCTION(Funktion,BOOLEAN,check_brettname_syntax,
[[(const char *@var{name})]],[[
    Prueft auf illegale Zeichen in Brettnamen @var{name}. Falls
    solche gefunden werden liefert die Funktion FALSE zurck,
    sonst TRUE.
]])
*/
BOOLEAN
check_brettname_syntax(const char *name)
{
	char *p;
	char buf[BDAT_GRP_NAME_LEN*2];
	entumlauten(name,buf);
	for (p=buf;*p;p++)
	{	
		if (isalpha(*p))
			continue;
		if (isdigit(*p))
			continue;
		if (*p=='.' || *p=='_' || *p=='-' || *p=='+' || *p=='&' || *p=='/')
			continue;
		return FALSE;
	}
	return TRUE;
}
