/* hh_mm_ss.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/* verschiedene Zeit/Datumsfunktionen.  */

#include "config.h"

#include <stdlib.h>
#include <string.h>
#include <time.h>

#include "portab.h"
#include "libquark.h"

/* LIBQUARK_FUNCTION(Funktion,char *,hh_mm_ss,
[[(void)]],[[
Liefert einen Zeiger auf einen statischen Puffer zurck, in dem die
aktuelle Zeit im Format @code{HH:MM:SS} abgelegt ist (Beispiel:
@code{11:36:02}).
]] */

/*
 * aktuelle Zeit liefern
 * String im Format: "HH:MM:SS"
 */
char *
hh_mm_ss (void)
{
	static char tmp[20];
	time_t zeit;

	time (&zeit);
	fast_strftime (tmp, sizeof (tmp) - 1, "%H:%M:%S", localtime (&zeit));

	return tmp;

}								/* hh_mm_ss */
