/* litoa.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#include <limits.h>

#include "libquark.h"

int 
libquark_litoa(long i, char *a)
{
	int place;
	int used;
	if (i<0)
	{
		i=-i;
		*a++='-';
	}

	if (i >= 10000)
	{
		char *p=a;
		while (i)
		{
			*p++='0'+(i%10);
			i/=10;
		}

		*p=0;
		i=p-a;
		p--;
		while (p>a)
		{
			int c=*p;
			*p--=*a;
			*a++=c;
		}
		return i;
	}

	if (i<10)
		place=1;
	else if (i<100)
		place=2;
	else if (i<1000)
		place=3;
	else
		place=4;
	used=place;
	a[used]=0;
	while (used)
	{
		a[--used]='0'+(i%10);
		i/=10;
	}
	return place;
}
