/* messages.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

/*	----------------------------------------------------------------------
	Programm-Ausgaben
	----------------------------------------------------------------------	*/

static const char	*Usage[]=
		{	"Gebrauch: lineedit [Optionen] Datei",
			"usage: lineedit [options] file"
		};
static const char	*Use_Help[]=
		{	"          Mehr Hilfe mit --help",
			"          use --help for more information"
		};

static const char	*No_Option[]=
		{	"Unbekannte Option!",
			"unknown option!"
		};


/*	----------------------------------------------------------------------
	Editor-Ausgaben
	----------------------------------------------------------------------	*/

static const char	*Edit_Help[]=
{
	"             .d  a,a-,-b,a-b          Bereich loeschen\r\n"
	"             .g                       Use English words\r\n"
	"             .i  a                    Ab Zeile a einfuegen\r\n"
	"             .e  a,a-,-b,a-b S1,S2    S1 suchen und durch S2 ersetzen\r\n"
	"             .f  a,a-,-b,a-b String   String suchen\r\n"
	"             .k  a                    Zeile a korrigieren\r\n"
	"             .l  a,a-,-b,a-b          Textbereich mit Zeilen-Nr. auflisten\r\n"
	"             .s  a,a-,-b,a-b          Textbereich ohne Zeilen-Nr. auflisten\r\n"
	"             .z                       Einfuegemodus beenden\r\n"
	"             .?                       Diese Informationen anzeigen\r\n"
#ifdef TEST
	"             .!                       Texteingabe ohne Sichern beenden\r\n"
#endif
	"             . oder ...               Texteingabe beenden",
		
	"             .d  a,a-,-b,a-b          delete line(s)\r\n"
	"             .e  a,a-,-b,a-b S1,S2    search S1 and substitute with S2\r\n"
	"             .f  a,a-,-b,a-b String   search String\r\n"
	"             .g                       Deutsche Ausgaben\r\n"
	"             .i  a                    insert line(s) behind no. a\r\n"
	"             .k  a                    correct line no. a\r\n"
	"             .l  a,a-,-b,a-b          show line(s) with numbers\r\n"
	"             .s  a,a-,-b,a-b          show line(s) without numbers\r\n"
	"             .z                       exit insert-mode\r\n"
	"             .?                       these information\r\n"
#ifdef TEST
	"             .!                       quit editor without saving\r\n"
#endif
	"             . or ...                 quit editor"
		};
		
static const char	*No_Command[]=
		{	" Punktbefehl nicht erkannt!",
			" unknown point-command!"
		};

static const char	*False_Params[]=
		{	" Falsche Befehlsparameter!",
			" wrong parameters!"
		};

static const char	*Start_Insert[]=
		{	" Einfuegemodus ...aktiv! (Beenden mit \".z\")",
			" insert-mode ...activated! (exit with \".z\")"
		};
		
static const char	*Stop_Insert[]=
		{	" Einfuegemodus beendet.",
			" left insert-mode"
		};

static const char	*Impossible_Insert[]=
		{	" Im Einfuegemodus nicht moeglich!",
			" not possible while insert-mode is active"
		};

static const char	*Already_Insert[]=
		{	" Einfuegemodus bereits aktiv!",
			" insert-mode already active"
		};

static const char	*Not_Insert[]=
		{	" Einfuegemodus nicht aktiv!",
			" insert-mode not active!"
		};
		
static const char	*First_Line[]=
		{	" Befehlsuebersicht mit \".?\"",
			" command-summary with \".?\""
		};
		
static const char	*New_File_Info[]=
		{	" Neuer Text!",
			" new file!"
		};
		
static const char	*Lines_Broken_Info[]=
		{	" Es sind zu lange Zeilen umgebrochen worden!",
			" long lines have been broken!"
		};

static const char	*Substitution_Syntax[]=
		{	" Syntax Fehler: Gebrauch .e <Bereich> Such,Ersatz!",
			" syntax error: Usage .e <lines> find,substitution!"
		};


/*	----------------------------------------------------------------------
	Fehler-Meldungen
	----------------------------------------------------------------------	*/

static const char	*Err_Load_Open[]=
		{	"Konnte Datei nicht oeffnen.",
			"couldn't open file!"
		};

static const char   *Err_Save_Open[]=
{   "Konnte Datei nicht sichern!",
            "couldn't save data!"
};

static const char   *Err_Save_Write[]=
{   "Fehler beim Schreiben der Datei!",
            "couldn't write to file!"
};

