/* Declarations for termcap library.
   Copyright (C) 1991, 1992 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

#ifndef _TERMCAP_H
#define _TERMCAP_H 1

#include <sys/types.h>

#ifdef __STDC__

typedef int (*outfuntype) (int);

#ifdef __cplusplus
extern "C" {
#endif

#ifndef __GO32__
extern char *tgetent (char *__buffer, const char *__termtype);
extern int tgetnum (const char *__name);
extern int tgetflag (const char *__name);
extern char *tgetstr (const char *__name, char **__area);
extern void tputs (const char *__string, int __nlines, outfuntype);
extern char *tparam (const char *__ctlstring, void *__buffer, int __size, ...);
extern char *tgoto (const char *__cstring, int __hpos, int __vpos);
#endif

#ifdef __cplusplus
}
#endif

#endif

#endif /* not _TERMCAP_H */
