/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
*/
/* Funktionen rund um das MausTauschzeitformat */

#include "config.h"

#include "portab.h"
#include <time.h>
#include <ctype.h>

#include "mtzeit.h"

/* LIBQUARK_FUNCTION(Funktion,BOOLEAN,time_t_to_mtzeit_sec,
[[(time_t *@var{tim}, char *@var{buf})]],[[
Die Funktion konvertiert die Zeit @var{tim}, gemessen in Sekunden seit
1970, in das MausTausch-Zeitformat mit Sekunden (YYYYMMDDHHMMSS).
@var{buf} enthlt das Ergebnis und mu gro genug sein (15 Bytes inc.
abschlieender 0).

Liefert TRUE bei Erfolg, sonst FALSE.
]] */

BOOLEAN
time_t_to_mtzeit_sec (time_t * t, char *buf)
{
	struct tm *tm;

	if (!t)
		return FALSE;
	tm = localtime (t);
	return tm_to_mtzeit_sec (tm, buf);
}

