proc pt_inhalt_one { mode which nr filename uplfilename oneliner} {
	global pt_sw_1
	global pt_sw_2

	set found 0
	if {$pt_sw_1("text") > ""} {
		if [pt_match $filename $pt_sw_1("text") $pt_sw_1("modus")] { 
			set found 1
		}
	} elseif {$pt_sw_2("text") == ""} {
		# keine Suchworte: Immer anzeigen
		set found 1
	}
	if {0 == $found && $pt_sw_2("text") > ""} {
		if [pt_match $filename $pt_sw_2("text") $pt_sw_2("modus")] { 
			set found 1
		}
	}
	if {$mode > 0} {
		if {0 == $found && $oneliner > "" && $pt_sw_1("text") > ""} {
			if [pt_match $oneliner $pt_sw_1("text") $pt_sw_1("modus")] { 
				set found 1
			}
		}
		if {0 == $found && $oneliner > "" && $pt_sw_2("text") > ""} {
			if [pt_match $oneliner $pt_sw_2("text") $pt_sw_2("modus")] { 
				set found 1
			}
		}
	}
	set need_upl 0
	if {$found ==0} {
		if {$pt_sw_1("text") > "" && $pt_sw_1("inupl")} {
			set need_upl 1
		} elseif {$pt_sw_2("text") > "" && $pt_sw_2("inupl")} {
			set need_upl 1
		}
	} elseif {$mode > 1} { 
		set need_upl 1
	}
	if {$need_upl && $uplfilename > ""} {
		set lang ""
		if {0==[catch {set id [open $which/$uplfilename "r"]} errt]} {
			while {-1 != [gets $id v] } {
				set lang "$lang  $v\n"
			}
			close $id
		}
	} else {
		set lang ""
	}

	if {0==$found && $lang > ""} {
		if {$pt_sw_1("inupl") && $pt_sw_1("text") > ""} {
			if [pt_match $lang $pt_sw_1("text") $pt_sw_1("modus")] { 
				set found 1
			}
		}
		if {0 == $found && $pt_sw_2("inupl") && $pt_sw_2("text") > ""} {
			if [pt_match $lang $pt_sw_2("text") $pt_sw_2("modus")] { 
				set found 1
			}
		}
	}

	# wenn nicht gefunden dann raus ...
	if {$found == 0} {
		return
	}

	set s "[expr $nr + 1]  $filename\n"
	if {$mode > 0} {
		if {0==[catch {file stat $which/$filename info} errt]} {
			set s [format "%s  angelegt: %s  verndert: %s\n" \
				$s \
				[tom_strftime "%d.%m.%y" $info(ctime)] \
				[tom_strftime "%d.%m.%y" $info(mtime)] ]
			set s [format "%s  Gre: %d Bytes\n" $s $info(size)]
		} else {
			set s "$s  $errt\n"
		}
		if {$oneliner >""} {
			set s "$s  $oneliner\n"
		}
	}
	if {$mode > 1} {
		if {$lang >""} {
			set s "$s$lang"
		}
		set s "$s\n"
	}
	return [pt_printout $s]
}

proc pt_inhalt { which mode_p files filescount uplfiles oneliners} {
	upvar $files f
	upvar $uplfiles u
	upvar $oneliners o
	global pt_sw_1
	global pt_sw_2
	if {0==[string compare $mode_p "kurz"]} {
		set mode 0
	} elseif {0==[string compare $mode_p "mittel"]} {
		set mode 1
	} else {
		set mode 2
	}
	tom_puts ""
	if {$pt_sw_1("text") > "" && $pt_sw_2("text") > ""} {
		tom_puts "Verzeichnisinhalt: Suchbegriffe $pt_sw_1(\"text\"), $pt_sw_2(\"text\")"
	} elseif {$pt_sw_1("text") > ""} {
		tom_puts "Verzeichnisinhalt: Suchbegriff $pt_sw_1(\"text\")"
	} elseif {$pt_sw_2("text") > ""} {
		tom_puts "Verzeichnisinhalt: Suchbegriff $pt_sw_2(\"text\")"
	} else {
		tom_puts "Verzeichnisinhalt:"
	}
	tom_puts ""
	for {set i 0} {$i < $filescount} {incr i} {
		if {0==[pt_inhalt_one $mode $which $i $f($i) $u($i) $o($i)]} {
			return
		}
	}
}
