#
# pt_main.c: Hauptmen des Programmteils
#


proc pt_mainmenuhelp { off lang } {
   	set level [ tom_getvar "%ul" ]
   	set auswahl ""
   	set liste ""
   	global TRENNSTRICHE
   	global SCHNELLOGOUT
	global pt_in_pers_public
	global pers_public_pfad

	global pt_progteilzahl pt_progteil
	global pt_xprogteilzahl pt_xprogteil

	if { "$level" > 0 } {
		append_entry auswahl liste "(P)ersnlicher Programmteil"
	}
	if {0!=[string compare $pers_public_pfad ""]} {
		append_entry auswahl liste "(B)enutzereigene Programmteile"
	}
	tom_puts "$pt_progteilzahl progteile"
	if {$pt_progteilzahl > 0} {
		for {set i 0} {$i < $pt_progteilzahl} {incr i} {
    		append_entry auswahl liste $pt_progteil($i,text)
		}
	}
	if {$pt_xprogteilzahl > 0} {
		if {$TRENNSTRICHE} {
			lappend liste "--- Alternativoberflchen ---"
		}
		for {set i 0} {$i < $pt_xprogteilzahl} {incr i} {
    		append_entry auswahl liste $pt_xprogteil($i,text)
		}
	}
	if {[tom_infomenu_files "prog"] > ""} {
		append_entry auswahl liste "(I)nformationen"
	}
   	append_entry auswahl liste "Maus(T)auschsoftware"

	if {$TRENNSTRICHE} {
		lappend liste "---------------------"
	}
	if {$SCHNELLOGOUT} {
   		append_entry auswahl liste "(!) Schnell ausloggen"
   	}
	append_entry auswahl liste "(^) Programmteil verlassen"
    append_entry auswahl liste "(Z)urck"

    if {$lang} {
        do_help $off $liste
        return "${auswahl}"
    }
    kurz_menue_hilfe "${auswahl}"
    return "${auswahl}?"
}

proc pt_mainmenu { } {
	global pt_progteilzahl pt_progteil
	global pt_in_pers_progteil
	global pers_progteil_pfad
	global pt_in_pers_public
	global pers_public_pfad
	global pt_xprogteilzahl pt_xprogteil
	global quickout
	global logout_modus

    while (1) {
    	if {$quickout} {return}
        set wahl [work_menu "Programmteil" pt_mainmenuhelp]
		if {$logout_modus} { return }

        if { "$wahl" == "Z" } {
            return
        } elseif { "$wahl" == "!" } {
			tom_befehl LOGOUT
        } elseif { "$wahl" == "^" } {
        	set quickout 1
        	return
		} elseif { "$wahl" == "T" } {
			pt_tauschsoftmenu
		} elseif { "$wahl" == "I" } {
			do_infomenu prog
        } elseif { "$wahl" == "P" } {
			set pt_in_pers_progteil 1
			set tmp [pt_find_persprog [tom_getvar %uN] [tom_getvar %un]]
			if {0==[string compare $tmp ""]} {
				tom_puts "Persnlicher Programmteil nicht vorhanden und"
				tom_puts "kann auch nicht angelegt werden"
			} else {
				pt_progteil $tmp
			}
			set pt_in_pers_progteil 0
		} elseif { "$wahl" == "B" } {
			set pt_in_pers_public 1
			set t [tom_getvar "\${ucanon %uN}"]
			regsub " " $t "_" t
			catch {exec sh -c "mkdir $pers_public_pfad/$t 2>/dev/null"}
			pt_progteil $pers_public_pfad
			set pt_in_pers_public 0
		} else {
			set found 0
			for {set i 0} {$i < $pt_progteilzahl} {incr i} {
				if {![string compare $pt_progteil($i,key) $wahl]} {
					pt_progteil $pt_progteil($i,dir)
					set found 1
					break;
				}
			}
			if {$found == 0} {
				for {set i 0} {$i < $pt_xprogteilzahl} {incr i} {
					if {![string compare $pt_xprogteil($i,key) $wahl]} {
						eval $pt_xprogteil($i,kommando)
						break;
					}
				}
			}
        }
    }
}

source $tomtcl_dir/maus/_functions.tcl
source $tomconfig_dir/mausconf.tcl
source $tomtcl_dir/maus/informationen.tcl
source $tomtcl_dir/maus/pt_download.tcl
source $tomtcl_dir/maus/pt_functions.tcl
source $tomtcl_dir/maus/pt_index.tcl
source $tomtcl_dir/maus/pt_inhalt.tcl
source $tomtcl_dir/maus/pt_progteil.tcl
source $tomtcl_dir/maus/pt_such.tcl
source $tomtcl_dir/maus/pt_tausch.tcl
source $tomtcl_dir/maus/pt_upload.tcl

set pt_username [tom_getvar "%uN"]
set pt_userlevel [tom_getvar "%ul"]
set quickout 0
set pt_sw_1("text") ""
set pt_sw_1("modus") 0
set pt_sw_1("inupl") 0
set pt_sw_2("text") ""
set pt_sw_2("modus") 0
set pt_sw_2("inupl") 0

#pt_progteil "/pub/CD/linux/sunsite-1-suse/apps/"
if {0==[info exists mausmainmenuflag]} {
	pt_mainmenu
}
