/* business.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#ifndef BUSINESS_H


typedef struct
{
	UWORD level;
	unsigned erlaubt : 1;
	unsigned zahler : 1;

} GRENZE;

#define B_LOGIN			0
#define B_TAUSCH			1
#define B_DOWNLOAD		2
#define B_ZEIT				3
#define B_MAX				B_ZEIT

typedef struct
{
	UWORD start;
	GRENZE grenze[B_MAX+1];
	UWORD onlinezeit[10];		/* je Level */
	const char *titel;

} BUSINESS;


BOOLEAN read_business(void);
BOOLEAN check_business(char action,long *next,time_t *max);
BUSINESS *get_business_array(long *para_anzahl);

#endif
