/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#include "config.h"

#include <unistd.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <syslog.h>
#include <errno.h>
#include <ctype.h>
#include <stdio.h> /* rename */

#include "portab.h"

#include "libquark.h"

/*
	Datei verschieben

	07.02.93 Frank

	komplette Angaben inkl. Laufwerk erforderlich
*/
BOOLEAN file_move(const char *src,const char *dst)
{
	errno=0;
#ifdef HAVE_DOSDRIVES
	/* Quell- und Ziel-Laufwerk identisch ? */
	if (tolower(*src) == tolower(*dst))
#endif
		if (!rename(src,dst))
			return TRUE;

	if (file_copy(src,dst) && !unlink(src))
		return TRUE;
	else
		return FALSE;

} /* file_move */
