/* filelock.c Lock and unlock a file or parts of files.  */
/*
    Copyright (C) 1995-1999 Uwe Ohse

    This source is public domain: use it as you please.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

    Contact: uwe@ohse.de, Uwe Ohse @ DU3 (mausnet)
*/

#include "filelock.h"

#if defined(CAN_LOCK_FILES)
int 
lock_region (int fd, int cmd, int typ, off_t offset, int whence, off_t len)
{
	struct flock lock;

	lock.l_type = typ;
	lock.l_start = offset;
	lock.l_len = len;
	lock.l_whence = whence;
	return fcntl (fd, cmd, &lock);
}
#endif

