/* make_port_sys.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#include <stdlib.h>
#include <stdio.h>
#include "portab.h"

#include "config.h"
#include "tompaths.h"
#include "box_conf.h"
#include "prototyp.h"
#include "libquark.h"
#include "aktdata.h"

const char *tom_port_config_dir=NULL;
/*
 * /dev/tty36 -> /wo/auch/immer/tom/sys/dev.tty36/
 */
void
make_port_sys_path(void)
{
	char *tmp;
	char *p,*q;
	BOOLEAN got_char=FALSE;
	if (!akt_connection.ttyname)
	{
		tom_port_config_dir=NULL;
		return;
	}
	tmp=XMALLOC(strlen(box_conf.config_dir)+2+strlen(akt_connection.ttyname));
	strcpy(tmp,box_conf.config_dir);
	for (p=tmp+strlen(tmp),q=akt_connection.ttyname;
		*q;q++)
	{
		if (*q!='/' && *q!='\\')
		{
			*p++=*q;
			got_char=TRUE;
		}
		else if (got_char)
			*p++='.';

	}
	if (p[-1]!='/')
		*p++='/';
	*p++=0;
	tom_port_config_dir=XSTRDUP(tmp);
	free(tmp);
}
