/* demo.c : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB3 (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/

#ifdef DEMO

#include <dos.h>
#include <sys\types.h>

int zeitfalle(void);

int zeitfalle(void)  /* liefert eine 1, wenn das Programm zu alt ist */
{
	char *datum =  {__DATE__};
	long tag = 0, mon = 0, jahr = 0;
	char temp[10];
    long komp_zeit = 0, akt_zeit = 0;
    struct date d;

    strncpy(temp, datum, 3);   /* Monat der Kompilierung bestimmen */
    temp[3] = '\0';
    if (!strcmp(temp, "Jan"))
       mon = 1;
    if (!strcmp(temp, "Feb"))
       mon = 2;
    if (!strcmp(temp, "Mar"))
       mon = 3;
    if (!strcmp(temp, "Apr"))
       mon = 4;
    if (!strcmp(temp, "May"))
       mon = 5;
    if (!strcmp(temp, "Jun"))
       mon = 6;
    if (!strcmp(temp, "Jul"))
       mon = 7;
    if (!strcmp(temp, "Aug"))
       mon = 8;
    if (!strcmp(temp, "Sep"))
       mon = 9;
    if (!strcmp(temp, "Oct"))
       mon = 10;
    if (!strcmp(temp, "Nov"))
       mon = 11;
    if (!strcmp(temp, "Dec"))
       mon = 12;
    if (mon == 0)              /* falls ein Monat falsch geschrieben wurde */
       mon = 12;

    datum += 4;
    strncpy(temp, datum, 2);    /* Tag der Kompilierung bestimmen */
    temp[2] = '\0';
    tag = atoi(temp);
    datum += 3;

    strncpy(temp, datum, 4);    /* Jahr der Kompilierung bestimmen */
    temp[4] = '\0';
    jahr = atoi(temp);

    komp_zeit =  tag;
    komp_zeit += mon * (30);
    komp_zeit += jahr * (30 * 12);

    getdate(&d);                /* System Datum holen */

    akt_zeit  =  d.da_day;
    akt_zeit  += d.da_mon * (30L);
    akt_zeit  += d.da_year * (30 * 12L);

    if ((komp_zeit + 60) <= akt_zeit)
    {
        puts("Beta-Test Zeit ist abgelaufen!\nBitte besorgen Sie sich eine neue Version\n");
        return(1);
    }
    else
        return(0);
}
#endif  /* DEMO */

