/* io.h : still no description */
/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
       Snail Mail (don't expect me to answer):
             Uwe Ohse
             Drosselstrae 2
             47055 Duisburg
             Germany
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB3 (mausnet)
       (might be the wrong person except for offline)

    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
#ifdef BOX
extern int mbchar(void);
extern int mboutput(const char *text);
extern int mbprintf(const char *format,...);
extern int mdb_srv_puts(const char *text);
#endif

#ifndef TEXT_FRONTEND
int win_puts(const char *text);
int win_printf(const char *format,...);
void win_gets(char *puffer,size_t len);
#endif

#ifdef TEXT_FRONTEND
void io_init(void);
#endif

void do_beep(void);
void get_screen(void);

/*
	Offline-intern normierte Sondertastencodes
*/
#define C_UP		512
#define C_DOWN		513
#define C_LEFT		514
#define C_RIGHT	515
#define C_PGDN		516
#define C_PGUP		517
#define C_HOME		518
#define C_END		519
#define C_CENTER	520
#define C_HELP		521
#define C_UNDO		522
#define C_PRINT	523

#define C_F1		530
#define C_F2		531
#define C_F3		532
#define C_F4		533
#define C_F5		534
#define C_F6		535
#define C_F7		536
#define C_F8		537
#define C_F9		538
#define C_F10		539
#define C_F11		540
#define C_F12		541

int taste(void);
int mputs(const char *text);
int mprintf(const char *format,...);
void mgets(char *puffer,size_t len);

void init_termcap(void);
void tprint(const char *cap);
void gotoxy(int x,int y);
