/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
*/
#include "tomsysdep.h"

#include <portab.h>
#include <stdlib.h>
#include <string.h>

#include "prototyp.h"
#include "user.h"
#include "modem.h"
#include "terminal.h"
#include "bin_msg.h"
#include "befehle.h"				/* wg. bef_hilfe() */

extern USER user;

extern int col_ix[];

void parameter_falsch(const char *befe,const char *para)
{
	if (/*befehl_aktuellS[68]=='H' &&*/ user.autohilfe)
	{
		set_status_line(tprintf("Hilfetext zum Befehl '%s'",befe));
		mbprintf(" %sParameter >%s< unbekannt bzw. falsch%s\r\n\n",
		         vt_S(col_ix[C_ROT]),para,vt_S(ATTR_OFF));
		set_scroll_area(2);
		bef_hilfe(befe);
	}
	else
	{
		mboutput("\r\n");
		mbprintf(" %sParameter >%s< unbekannt bzw. falsch%s (siehe 'HILFE')\r\n",
		         vt_S(col_ix[C_ROT]),para,vt_S(ATTR_OFF));
		mboutput("\r\n");
	}

} /* parameter_falsch */


