/*
    Copyright (C) 1994 1995 1996 Frank Baumgart, Uwe Ohse

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Contact: uwe@tirka.gun.de, Uwe Ohse @ DU3 (mausnet)
    Contact2: godot@uni-paderborn.de, Frank Baumgart @ PB (mausnet)
    Contact3: MausNet Newsgroups Quark & Q-Sysops.
*/
/*
 * user/userdb.c
 */
#include "tomsysdep.h"

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <portab.h>
#include <errno.h>
#include <limits.h>
#include <ctype.h>
#include <unistd.h>
#include <syslog.h>
#include <sys/types.h> /* off_t */
#include <sys/stat.h> /* mkdir */

#include "prototyp.h"
#include "userbase.h"
#include "ub_int.h"
#include "error.h"


BOOLEAN 
ub_create_user_dat(void)
{
	char userfile[PATH_MAX];
	FILE *f;

	sprintf(userfile,"%s/" USERDATNAME,ub_basepath);

	if ((f = fopen(userfile,BIN_RW_CREATE)) == NULL)
	{
		error(0,errno,"fopen: %s",userfile);
		return FALSE;
	}
	fclose(f);
	sprintf(userfile,"%s/users" , ub_basepath);
	if (0!=mkdir(userfile,0750)) {
		error(0,errno,"mkdir: %s",userfile);
	}

	return TRUE;

} /* ub_serv_create_user_dat */


